Loading...
Searching...
No Matches
ladspa::ChangeableValues Class Reference

`#include <ladspaback.h>`

## Public Types

enum | { name_set = 0x01 , dflt_set = 0x02 , low_set = 0x04 , up_set = 0x08 , tp_set = 0x10 , newrow_set = 0x20 }

## Public Member Functions

| ChangeableValues ()
| ChangeableValues (gx_system::JsonParser &jp)
void | serializeJSON (gx_system::JsonWriter &jw)
int | get_excl_flags (DisplayType tp) const
bool | has_settings (DisplayType tp) const
bool | is_set (int f) const
void | unset (int f)
void | set_name (const Glib::ustring &nm)
void | set_dflt (float v)
void | set_low (float v)
void | set_up (float v)
void | set_tp (DisplayType v)
void | set_newrow (bool v)
const Glib::ustring & | get_name ()
float | get_dflt ()
float | get_low ()
float | get_up ()
DisplayType | get_tp ()
bool | get_newrow ()
bool | has_enumkey (int k)
void | set_enumvalue (int k, const Glib::ustring &v)
std::map< int, Glib::ustring >::iterator | find_enum (int k)
void | erase_enum (int k)
std::map< int, Glib::ustring >::iterator | enum_end ()

## Private Member Functions

void | sf (int f)

## Private Attributes

Glib::ustring | name
float | dflt
float | low
float | up
DisplayType | tp
std::map< int, Glib::ustring > | enumdict
bool | newrow
int | set_flags

## Friends

bool | operator!= (const ChangeableValues &v1, const ChangeableValues &v2)

## Detailed Description

Definition at line 31 of file ladspaback.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
name_set |
dflt_set |
low_set |
up_set |
tp_set |
newrow_set |

Definition at line 33 of file ladspaback.h.

## Constructor & Destructor Documentation

## ChangeableValues() [1/2]

ladspa::ChangeableValues::ChangeableValues | ( |  | ) |

inline

Definition at line 46 of file ladspaback.h.

Referenced by operator!=.

## ChangeableValues() [2/2]

ladspa::ChangeableValues::ChangeableValues | ( | gx_system::JsonParser & | jp | ) |

## Member Function Documentation

## enum_end()

std::map< int, Glib::ustring >::iterator ladspa::ChangeableValues::enum_end | ( |  | ) |

inline

Definition at line 69 of file ladspaback.h.

## erase_enum()

void ladspa::ChangeableValues::erase_enum | ( | int | k | ) |

inline

Definition at line 68 of file ladspaback.h.

## find_enum()

std::map< int, Glib::ustring >::iterator ladspa::ChangeableValues::find_enum | ( | int | k | ) |

inline

Definition at line 67 of file ladspaback.h.

## get_dflt()

float ladspa::ChangeableValues::get_dflt | ( |  | ) |

inline

Definition at line 60 of file ladspaback.h.

## get_excl_flags()

int ladspa::ChangeableValues::get_excl_flags | ( | DisplayType | tp | ) | const

## get_low()

float ladspa::ChangeableValues::get_low | ( |  | ) |

inline

Definition at line 61 of file ladspaback.h.

## get_name()

const Glib::ustring & ladspa::ChangeableValues::get_name | ( |  | ) |

inline

Definition at line 59 of file ladspaback.h.

## get_newrow()

bool ladspa::ChangeableValues::get_newrow | ( |  | ) |

inline

Definition at line 64 of file ladspaback.h.

## get_tp()

DisplayType ladspa::ChangeableValues::get_tp | ( |  | ) |

inline

Definition at line 63 of file ladspaback.h.

## get_up()

float ladspa::ChangeableValues::get_up | ( |  | ) |

inline

Definition at line 62 of file ladspaback.h.

## has_enumkey()

bool ladspa::ChangeableValues::has_enumkey | ( | int | k | ) |

inline

Definition at line 65 of file ladspaback.h.

## has_settings()

bool ladspa::ChangeableValues::has_settings | ( | DisplayType | tp | ) | const

## is_set()

bool ladspa::ChangeableValues::is_set | ( | int | f | ) | const

inline

Definition at line 51 of file ladspaback.h.

## serializeJSON()

void ladspa::ChangeableValues::serializeJSON | ( | gx_system::JsonWriter & | jw | ) |

## set_dflt()

void ladspa::ChangeableValues::set_dflt | ( | float | v | ) |

inline

Definition at line 54 of file ladspaback.h.

## set_enumvalue()

void ladspa::ChangeableValues::set_enumvalue | ( | int | k,
|  | const Glib::ustring & | v )

inline

Definition at line 66 of file ladspaback.h.

## set_low()

void ladspa::ChangeableValues::set_low | ( | float | v | ) |

inline

Definition at line 55 of file ladspaback.h.

## set_name()

void ladspa::ChangeableValues::set_name | ( | const Glib::ustring & | nm | ) |

inline

Definition at line 53 of file ladspaback.h.

## set_newrow()

void ladspa::ChangeableValues::set_newrow | ( | bool | v | ) |

inline

Definition at line 58 of file ladspaback.h.

## set_tp()

void ladspa::ChangeableValues::set_tp | ( | DisplayType | v | ) |

inline

Definition at line 57 of file ladspaback.h.

## set_up()

void ladspa::ChangeableValues::set_up | ( | float | v | ) |

inline

Definition at line 56 of file ladspaback.h.

## sf()

void ladspa::ChangeableValues::sf | ( | int | f | ) |

inline private

Definition at line 43 of file ladspaback.h.

Referenced by set_dflt(), set_low(), set_name(), set_newrow(), set_tp(), and set_up().

## unset()

void ladspa::ChangeableValues::unset | ( | int | f | ) |

inline

Definition at line 52 of file ladspaback.h.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | const ChangeableValues & | v1,
|  | const ChangeableValues & | v2 )

friend

## Member Data Documentation

## dflt

float ladspa::ChangeableValues::dflt

private

Definition at line 36 of file ladspaback.h.

Referenced by ChangeableValues(), get_dflt(), and set_dflt().

## enumdict

std::map<int, Glib::ustring> ladspa::ChangeableValues::enumdict

private

Definition at line 40 of file ladspaback.h.

Referenced by ChangeableValues(), enum_end(), erase_enum(), find_enum(), has_enumkey(), and set_enumvalue().

## low

float ladspa::ChangeableValues::low

private

Definition at line 37 of file ladspaback.h.

Referenced by ChangeableValues(), get_low(), and set_low().

## name

Glib::ustring ladspa::ChangeableValues::name

private

Definition at line 35 of file ladspaback.h.

Referenced by ChangeableValues(), get_name(), and set_name().

## newrow

bool ladspa::ChangeableValues::newrow

private

Definition at line 41 of file ladspaback.h.

Referenced by ChangeableValues(), get_newrow(), and set_newrow().

## set_flags

int ladspa::ChangeableValues::set_flags

private

Definition at line 42 of file ladspaback.h.

Referenced by ChangeableValues(), is_set(), sf(), and unset().

## tp

DisplayType ladspa::ChangeableValues::tp

private

Definition at line 39 of file ladspaback.h.

Referenced by ChangeableValues(), get_excl_flags(), get_tp(), has_settings(), and set_tp().

## up

float ladspa::ChangeableValues::up

private

Definition at line 38 of file ladspaback.h.

Referenced by ChangeableValues(), get_up(), and set_up().

The documentation for this class was generated from the following file:

- src/headers/ladspaback.h